> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get versions of elastic template

GET https://demo.docusign.net/clickapi/v1/accounts/{accountId}/clickwraps/{clickwrapId}/versions

Gets all the versions of an elastic template for an account.

[Required authentication scopes](/docs/click-api/click101/auth/): `click.manage`.

This example shows three versions:
two major versions (1.0 and 2.0), and one minor version (2.1).

```json
{
  "accountId": ""624e3e00-xxxx-xxxx-xxxx-43918c520dab",
  "clickwrapId": ""b4cb1e3a-xxxx-xxxx-xxxx-3b3c21b853ea",
  "clickwrapName": "The name of this",
  "versions": [
    {
      "versionId": ""0df7af2d-xxxx-xxxx-xxxx-c2b960b73fef",
      "versionNumber": "2.1",
      "status": "active",
      "createdTime": "2023-02-24T01:45:21.0138703Z",
      "lastModified": "2023-02-24T01:45:25.8540652Z",
      "lastModifiedBy": ""7c430bdb-xxxx-xxxx-xxxx-538c11111ff7",
      "requireReacceptance": false,
      "ownerUserId": ""7c430bdb-xxxx-xxxx-xxxx-538c11111ff7",
      "dataFields": []
    },
    {
      "versionId": ""4976a2f5-xxxx-xxxx-xxxx-dc1fd3b97c15",
      "versionNumber": "2.0",
      "status": "inactive",
      "createdTime": "2023-02-24T01:36:07.6852505Z",
      "lastModified": "2023-02-24T01:45:25.8853154Z",
      "lastModifiedBy": ""7c430bdb-xxxx-xxxx-xxxx-538c11111ff7",
      "requireReacceptance": true,
      "ownerUserId": ""7c430bdb-xxxx-xxxx-xxxx-538c11111ff7",
      "dataFields": []
    },
    {
      "versionId": ""987e83d7-xxxx-xxxx-xxxx-5348c4f89dca",
      "versionNumber": "1.0",
      "status": "inactive",
      "createdTime": "2023-02-24T01:17:59.806101Z",
      "lastModified": "2023-02-24T01:36:11.1843708Z",
      "lastModifiedBy": ""7c430bdb-xxxx-xxxx-xxxx-538c11111ff7",
      "requireReacceptance": true,
      "ownerUserId": ""7c430bdb-xxxx-xxxx-xxxx-538c11111ff7",
      "dataFields": []
    }
  ],
  "page": 0,
  "pageSize": 40,
  "minimumPagesRemaining": 0
}
```

Reference: https://developers.docusign.com/docs/click-api/reference/accounts/clickwraps/getclickwrapversions

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://demo.docusign.net/clickapi` (Demo, default)
- `https://www.docusign.net/clickapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID GUID.
- `clickwrapId` (string, required) — The GUID of the elastic template.

## Response

### 200

Successful response.

- `accountId` (string, optional) — The external account number (int) or account ID GUID.
- `clickwrapId` (string, optional) — The GUID of the elastic template.
- `clickwrapName` (string, optional) — The name of the elastic template.
- `minimumPagesRemaining` (integer, optional) — An array of clickwrap versions.
- `page` (integer, optional) — The number of the current page.
- `pageSize` (integer, optional) — The number of items per page.
- `versions` (list of clickwrapVersion, optional) — An array of elastic template versions.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The error code.
- `message` (string, optional) — The error message.

## Types

### clickwrapVersion

- `clickwrapVersionId` (string, optional) — The unique GUID of this elastic template version.
- `createdTime` (ClickwrapVersionCreatedTime, optional) — The time that the elastic template was created.
- `dataFields` (list of dataField, optional) — An array of `dataField` objects.
- `lastModified` (ClickwrapVersionLastModified, optional) — The time that the elastic template was last modified.
- `lastModifiedBy` (string, optional) — The user GUID of the last user who modified this elastic template.
- `ownerUserId` (string, optional) — The user GUID of the owner of this clickwrap.
- `requireReacceptance` (boolean, optional) — When **true,** requires signers who have previously agreed to this elastic signing agreement to sign again. The major version number is incremented, and the minor version number is set to zero. For example: `2.1` to `3.0` When **false,** signers who have previously agreed do not need to sign again. Only the minor version number is incremented. For example: `2.1` to `2.2`
- `scheduledDate` (ClickwrapVersionScheduledDate, optional) — The time and date when this elastic template is activated.
- `scheduledReacceptance` (clickwrapScheduledReacceptance, optional)
- `status` (string, optional) — Clickwrap status. Possible values: - `active` - `inactive` - `deleted`
- `versionId` (string, optional) — The GUID of the version.
- `versionNumber` (string, optional) — Human-readable version number. For example `1.2`.

### ClickwrapVersionCreatedTime

The time that the elastic template was created.

### dataField

Describes a single data field.

- `label` (string, optional) — The label of the datafield. This is the text that is displayed to the user.
- `name` (string, optional) — A string used to refer to the field internally. The name must be unique within an elastic template. The following fields are predefined by the API: - `fullName` - `email` - `company` - `title` - `date`
- `type` (string, optional) — The type of the field. Valid values: - `STRING` - `NUMBER` - `DATE`

### ClickwrapVersionLastModified

The time that the elastic template was last modified.

### ClickwrapVersionScheduledDate

The time and date when this elastic template is activated.

### clickwrapScheduledReacceptance

- `recurrenceInterval` (integer, optional) — The time between recurrences specified in `recurrenceIntervalType` units. The minimum and maximum values depend on `recurrenceIntervalType`: - `days`: 1 - 365 - `weeks`: 1 - 52 - `months`: 1 - 12 - `years`: 1
- `recurrenceIntervalType` (string, optional) — The units of the `recurrenceInterval`. Must be one of: - `days` - `weeks` - `month` - `years`
- `startDateTime` (ClickwrapScheduledReacceptanceStartDateTime, optional) — The date when the recurrence interval starts.

### ClickwrapScheduledReacceptanceStartDateTime

The date when the recurrence interval starts.

## Examples

**Response**

```json
{
  "accountId": "string",
  "clickwrapId": "string",
  "clickwrapName": "string",
  "minimumPagesRemaining": 1,
  "page": 1,
  "pageSize": 1,
  "versions": [
    {
      "clickwrapVersionId": "string",
      "createdTime": {},
      "dataFields": [
        {
          "label": "string",
          "name": "string",
          "type": "string"
        }
      ],
      "lastModified": {},
      "lastModifiedBy": "string",
      "ownerUserId": "string",
      "requireReacceptance": true,
      "scheduledDate": {},
      "scheduledReacceptance": {
        "recurrenceInterval": 1,
        "recurrenceIntervalType": "string",
        "startDateTime": {}
      },
      "status": "string",
      "versionId": "string",
      "versionNumber": "string"
    }
  ]
}
```